Subject: Re: bug#52691: [PATCH] git: Display a hint when CLONE* lacks permission.

From: zimoun <[email-masked]>
Date: Tue, 21 Dec 2021 16:12:42 +0100

Hi,

On Tue, 21 Dec 2021 at 16:03, Tobias Geerinckx-Rice <[email-masked]> wrote:

> zimoun 写道：
> > Instead of hint, I propose this patch which displays:
>
> Perfect!  That's what I wanted to write, but couldn't :-)
>
> (I still don't really understand THROW and friends, or what
> exactly your snippet does, but the output is exactly what I had in
> mind.)

Me neither!  Especially with new and old way,  And the examples in the
manual do not help very well to understand, IMHO.  Another story. :-)

> Thanks!  LGTM, obviously.

Feel free to proceed. :-)

> > the ’match’ can be avoided
>
> True, but I chose it deliberately, and still prefer it over CAR or
> equivalent.

Yes, me too.  This 'car' was because I had been lazy.  It was about
this pattern:

  (lambda args
    (match args
      ((a b c) #t)
      (_ #f)

when 'args' is an error. :-)

Cheers,
simon